import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NpiProviderArgsObjectSchema as NpiProviderArgsObjectSchema } from './NpiProviderArgs.schema';
import { CommissionBatchItemFindManySchema as CommissionBatchItemFindManySchema } from '../findManyCommissionBatchItem.schema';
import { CommissionBatchCountOutputTypeArgsObjectSchema as CommissionBatchCountOutputTypeArgsObjectSchema } from './CommissionBatchCountOutputTypeArgs.schema'

const makeSchema = () => z.object({
  npiProvider: z.union([z.boolean(), z.lazy(() => NpiProviderArgsObjectSchema)]).optional(),
  items: z.union([z.boolean(), z.lazy(() => CommissionBatchItemFindManySchema)]).optional(),
  _count: z.union([z.boolean(), z.lazy(() => CommissionBatchCountOutputTypeArgsObjectSchema)]).optional()
}).strict();
export const CommissionBatchIncludeObjectSchema: z.ZodType<Prisma.CommissionBatchInclude> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchInclude>;
export const CommissionBatchIncludeObjectZodSchema = makeSchema();
